Page MenuHomePhabricator

Fatal error: Cannot create references to/from string offsets nor overloaded objects
Closed, ResolvedPublic

Description

[2014-09-18 19:14:03] Fatal error: Cannot create references to/from string offsets nor overloaded objects at /srv/mediawiki/php-1.24wmf22/extensions/Flow/includes/Data/Utils/MultiDimArray.php on line 95
Server: mw1218
Method: GET
URL: http://www.mediawiki.org/wiki/Special:RecentChanges
Backtrace:
#0 /srv/mediawiki/php-1.24wmf22/extensions/Flow/includes/Data/Utils/MultiDimArray.php(95): Flow\Data\Utils\MultiDimArray::offsetExists()
#1 /srv/mediawiki/php-1.24wmf22/extensions/Flow/includes/FlowActions.php(38): Flow\Data\Utils\MultiDimArray->offsetExists(Array)
#2 /srv/mediawiki/php-1.24wmf22/extensions/Flow/includes/RevisionActionPermissions.php(127): Flow\FlowActions->hasValue('recentchanges', 'root-permission...')
#3 /srv/mediawiki/php-1.24wmf22/extensions/Flow/includes/RevisionActionPermissions.php(64): Flow\RevisionActionPermissions->isRootAllowed(Object(Flow\Model\PostRevision), 'recentchanges')
#4 /srv/mediawiki/php-1.24wmf22/extensions/Flow/includes/Formatter/RecentChanges.php(22): Flow\RevisionActionPermissions->isAllowed(Object(Flow\Model\PostRevision), 'recentchanges')
#5 /srv/mediawiki/php-1.24wmf22/extensions/Flow/Hooks.php(274): Flow\Formatter\RecentChanges->format(Object(Flow\Formatter\RecentChangesRow), Object(OldChangesList), false)
#6 /srv/mediawiki/php-1.24wmf22/extensions/Flow/Hooks.php(237): FlowHooks::processRecentChangesLine(Object(OldChangesList), '(<a href="/w/in...', Object(RecentChange), Array)
#7 [internal function]: FlowHooks::onOldChangesListRecentChangesLine(Object(OldChangesList), '(<a href="/w/in...', Object(RecentChange), Array)
#8 /srv/mediawiki/php-1.24wmf22/includes/Hooks.php(206): call_user_func_array('FlowHooks::onOl...', Array)
#9 /srv/mediawiki/php-1.24wmf22/includes/GlobalFunctions.php(3984): Hooks::run('OldChangesListR...', Array, NULL)
#10 /srv/mediawiki/php-1.24wmf22/includes/changes/OldChangesList.php(59): wfRunHooks('OldChangesListR...', Array)
#11 /srv/mediawiki/php-1.24wmf22/includes/specials/SpecialRecentchanges.php(337): OldChangesList->recentChangesLine(Object(RecentChange), false, 16)
#12 /srv/mediawiki/php-1.24wmf22/includes/specialpage/ChangesListSpecialPage.php(340): SpecialRecentChanges->outputChangesList(Object(ResultWrapper), Object(FormOptions))
#13 /srv/mediawiki/php-1.24wmf22/includes/specialpage/ChangesListSpecialPage.php(71): ChangesListSpecialPage->webOutput(Object(ResultWrapper), Object(FormOptions))
#14 /srv/mediawiki/php-1.24wmf22/includes/specials/SpecialRecentchanges.php(60): ChangesListSpecialPage->execute(NULL)
#15 /srv/mediawiki/php-1.24wmf22/includes/specialpage/SpecialPage.php(363): SpecialRecentChanges->execute(NULL)
#16 /srv/mediawiki/php-1.24wmf22/includes/specialpage/SpecialPageFactory.php(562): SpecialPage->run(NULL)
#17 /srv/mediawiki/php-1.24wmf22/includes/MediaWiki.php(275): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#18 /srv/mediawiki/php-1.24wmf22/includes/MediaWiki.php(584): MediaWiki->performRequest()
#19 /srv/mediawiki/php-1.24wmf22/includes/MediaWiki.php(435): MediaWiki->main()
#20 /srv/mediawiki/php-1.24wmf22/index.php(46): MediaWiki->run()
#21 /srv/mediawiki/w/index.php(3): require('/srv/mediawiki/...')


Version: unspecified
Severity: critical

Details

Reference
bz71014

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz71014.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Sep 18 2014, 7:15 PM
Reedy added a comment.Sep 18 2014, 7:22 PM
  • Bug 71016 has been marked as a duplicate of this bug. ***

gerritadmin wrote:

Change 161327 had a related patch set uploaded by EBernhardson:
Repair Special:Contributions and Special:RecentChanges

https://gerrit.wikimedia.org/r/161327

gerritadmin wrote:

Change 161327 merged by jenkins-bot:
Repair Special:Contributions and Special:RecentChanges

https://gerrit.wikimedia.org/r/161327

gerritadmin wrote:

Change 161330 had a related patch set uploaded by Reedy:
Repair Special:Contributions and Special:RecentChanges

https://gerrit.wikimedia.org/r/161330

gerritadmin wrote:

Change 161330 merged by jenkins-bot:
Repair Special:Contributions and Special:RecentChanges

https://gerrit.wikimedia.org/r/161330

Backport deployed, Special:RecentChanges and Special:Contributions OK now.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:36 AM